import { Icon, type IconProps } from '../../components/Icon.tsx'

export interface DotIconProps extends IconProps {
  variant?: 'regular' | 'thin' | 'fill'
}

export function DotIcon({ variant = 'regular', ...props }: DotIconProps) {
  const src = (() => {
    switch (variant) {
      default:
      case 'regular':
        return <svg fill="currentColor" viewBox="0 0 256 256"><path d="M140 128a12 12 0 1 1-12-12 12 12 0 0 1 12 12" /></svg>
      case 'thin':
        return <svg fill="currentColor" viewBox="0 0 256 256"><path d="M136 128a8 8 0 1 1-8-8 8 8 0 0 1 8 8" /></svg>
      case 'fill':
        return <svg fill="currentColor" viewBox="0 0 256 256"><path d="M128 80a48 48 0 1 0 48 48 48 48 0 0 0-48-48m0 60a12 12 0 1 1 12-12 12 12 0 0 1-12 12" /></svg>
    }
  })()

  return <Icon src={src} data-name="Dot" {...props} />
}
